# common place to define features for all linaro supported boards

INCLUDE_TESTS ?= 1

#enable user mock location so that we can have 100 pass rate for cts android.webkit package
# should use PRODUCT_DEFAULT_PROPERTY_OVERRIDES, but since there is a bug in build/core/Makefile,
# so we use ADDITIONAL_DEFAULT_PROPERTIES here
ADDITIONAL_DEFAULT_PROPERTIES += ro.allow.mock.location=1

# enable adbd started with root permission
PRODUCT_PROPERTY_OVERRIDES += service.adb.root=1

PRODUCT_COPY_FILES += $(call add-to-product-copy-files-if-exists,\
                          device/linaro/build/disablesuspend.sh:system/bin/disablesuspend.sh)

PRODUCT_COPY_FILES += $(call add-to-product-copy-files-if-exists,\
                          device/linaro/build/android_dhcpcd.conf:system/etc/dhcpcd/dhcpcd.conf)

# Copy media codecs config file
# so that to enable mediaplayback
PRODUCT_COPY_FILES += device/linaro/build/media_codecs.xml:system/etc/media_codecs.xml

# Integrate the dev tools application
PRODUCT_PACKAGES += Development DevelopmentSettings

ifeq ($(INCLUDE_TESTS), 1)
# integrate tests that will not be integrated by default
$(call inherit-product-if-exists, device/linaro/build/extra-and-tests.mk)
endif
