# similar to common.mk, this file is only for AOSP master based armv8 related build now
# in the future will be replaced by common.mk or replace the common.mk

COMMON_EXTRA_TESTS_DIR := device/linaro/build/extra-and-tests/

# integrate the ZeroXBenchmark application into the image
# http://android.git.linaro.org/git/platform/packages/apps/0xbench
-include $(COMMON_EXTRA_TESTS_DIR)/ZeroXBenchmark.mk

# integrate the tests of bionic libc into the image
# repository: http://android.git.linaro.org/git/platform/system/extras
# path: tests/bionic/libc/
-include $(COMMON_EXTRA_TESTS_DIR)/bionic-libc-tests.mk

# integrate the tests of linaro-android-kernel
# repository: https://android.git.linaro.org/gitweb/platform/external/linaro-android-kernel-test.git
-include external/linaro-android-kernel-test/product.mk

# integrate the tests of linaro-android-userspace
# repository: https://android.git.linaro.org/gitweb/platform/external/linaro-android-userspace-test.git
-include external/linaro-android-userspace-test/product.mk

# integrate the tests of piglit
# repository: https://android.git.linaro.org/gitweb/platform/external/piglit.git
#since the piglit tests depends on the waffle library, so we add it to PRODUCT_PACKAGES here
PRODUCT_PACKAGES += libwaffle-1
-include external/piglit/product.mk

PRODUCT_PACKAGES += bionic-benchmarks
PRODUCT_PACKAGES += bionic-unit-tests-static

PRODUCT_PACKAGES += perf
